Package org.pgpainless.decryption_verification.syntax_check

# Enum Class StackSymbol

java.lang.Object
java.lang.Enum<StackSymbol>
org.pgpainless.decryption_verification.syntax_check.StackSymbol

All Implemented Interfaces:
  `Serializable`, `Comparable<StackSymbol>`, `Constable`

public enum StackSymbol extends Enum<StackSymbol>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`msg`
OpenPGP Message.
`ops`
OnePassSignature (in case of BC this represents a OnePassSignatureList).
`terminus`
Special symbol representing the end of the message.

## Method Summary

Modifier and Type
Method
Description
`static StackSymbol`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StackSymbol[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### msg

public static final StackSymbol msg
OpenPGP Message.

### ops

public static final StackSymbol ops
OnePassSignature (in case of BC this represents a OnePassSignatureList).

### terminus

public static final StackSymbol terminus
Special symbol representing the end of the message.

## Method Details

### values

public static StackSymbol[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StackSymbol valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null